/*
DEUTSCH

Der in dieser Datei enthaltene Programmcode ist geistiges Eigentum des Autors (Manuel Liedel, Manuel.Liedel "at" gmail.com). Jeder Gebrauch - auer zur Verifikation experimenteller Ergebnisse der Dissertationsschrift "Sichere Mehrparteienberechnungen und datenschutzfreundliche Klassifikation auf Basis horizontal partitionierter Datenbanken" - ist ohne explizite Genehmigung des Autors untersagt. Dies schliet insbesondere kommerzielle Nutzung, Weitergabe, Modifikation und Erweiterungen ein. Auch die Verwendung zu wissenschaftlichen Zwecken bedarf der Genehmigung des Autors.

ENGLISH

The source code contained in this file is the intellectual property of the author (Manuel Liedel, Manuel.Liedel "at" gmail.com). Any use - except to verify experimental results contained in the author's PhD-Dissertation "Sichere Mehrparteienberechnungen und datenschutzfreundliche Klassifikation auf Basis horizontal partitionierter Datenbanken" - is prohibited without the author's explicit consent. This includes - but is no limited to - commercial use, redistribution, modifications and extensions. Scientific use also requires the author's explicit consent.
*/

#include<cstdlib>
#include<cstdio>
#include<gmp.h>
#include<Matrix.h>

Matrix::Matrix(int n, int m)
{
	register int i,j;
	Laenge=n;
	Breite=m;

	M = new mpz_t* [n+1];
	for (i=0; i<=n; i++){
	M[i] = new mpz_t[m+1];
	}

	for (i=0; i<=n; i++){ //initialisiere die Matrix und setze alle Werte auf 0
        for (j=0; j<=m; j++){
        mpz_init_set_ui(M[i][j],0);
        }
	}
}



